Pre-Checkout Eligibility

This endpoint helps you check if Tamara treats a customer as eligible based on the active decline records we hold for that customer.

Pre-checkout eligibility flow

Merchants should call the Pre-checkout Eligibility API before creating the order to determine whether Tamara should be available as a payment option for this customer for this checkout session.

Integration sequence

Merchants should implement the Tamara checkout flow in the following sequence:

  1. Call the Pre-checkout Eligibility API.
  2. Use the eligibility response to decide whether to show Tamara as a payment option to the customer.
  3. If the customer selects Tamara, proceed with the Order Creation API.

Timeout

Merchants should configure a 200ms timeout for the Pre-checkout Eligibility API.

If Tamara API does not respond within 200ms, default to showing Tamara as normal - this prevents any eligibility check latency from impacting the checkout experience.

Recommended behavior:

API ResponseAction
is_eligible: trueShow Tamara
is_eligible: falseHide Tamara
Timeout / No responseShow Tamara
📘

If the phone number is not passed, the customer is treated as eligible.


Sample phone numbers for testing

EligibilityUAEKSA
true971501234567966501234567
false971562477204966504591298
false971504552481966537865333
Body Params
order
object
required
customer
object
required
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json